Subject: Re: [PATCH V5 00/13] POWER DSCR fixes, improvements, docs and tests

From: Anshuman Khandual <[email-masked]>
Date: Mon, 25 May 2015 14:08:44 +0530

On 05/21/2015 12:13 PM, Anshuman Khandual wrote:
> 	This patch series has patches for POWER DSCR fixes, improvements,
> in code documentaion, kernel support user documentation and selftest based
> test cases. It has got five test cases which are derived from Anton's DSCR
> test bucket which can be listed as follows.
> 
> (1) http://ozlabs.org/~anton/junkcode/dscr_default_test.c
> (2) http://ozlabs.org/~anton/junkcode/dscr_explicit_test.c
> (3) http://ozlabs.org/~anton/junkcode/dscr_inherit_exec_test.c
> (4) http://ozlabs.org/~anton/junkcode/dscr_inherit_test.c
> (5) http://ozlabs.org/~anton/junkcode/user_dscr_test.c
> 
> NOTE1: Anton's original inherit exec test expected the child to have
> system default DSCR value instead of the inherited DSCR value from
> it's parent. But looks like thats not the case when we execute the
> test, it always inherits it's parent's DSCR value over the exec call
> as well. So I have changed the test program assuming its correct to
> have the inherited DSCR value in the fork/execed child program.
> Please let me know if thats not correct and I am missing something
> there.
> 
> Changes in V5:
> -------------
> - Fixed build problem with get_default_dscr/set_default_dscr functions
>   by checking on the return values of read & write system calls.

These patches are available for pull from this location mentioned below.

https://github.com/akhandual/linux.git dscr_v5